#
# spec file for package gap-gbnp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-gbnp
Summary:        GAP: computing Gröbner bases of noncommutative polynomials
Version:        1.0.3
Release:        lp152.3.2
License:        LGPL-2.1+
Group:          Productivity/Scientific/Math
URL:            http://mathdox.org/products/gbnp/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/GBNP-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.4
Requires:       gap-gapdoc >= 0.99

%description
This package enhances GAP4 to support computing Gröbner bases of
non-commutative polynomials with coefficients from a field
implemented in GAP, and some variations, such as a weighted and
truncated version and a tracing facility.

The word algorithm is interpreted loosely: in general, one cannot
expect such an algorithm to terminate, as it would imply solvability
of the word problem for finitely presented (semi)groups.

%prep
%setup -qn gbnp

%build

%install
find . -type f -name .depend -delete
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.0.3
  * Internal build fixes
* Fri May 10 2013 jengelh@inai.de
- Split gbnp (version 1.1) off the gap RPM package
